#ifndef _DIR_H
#define _DIR_H

#include "file.h"
#include "inode.h"

#include <time.h>

typedef struct {
    int inode;
    char * filename;
} dir_entry;

typedef struct {
    filesys * fs;
    inodesys * is;
    int inodenb;
    inode * ino;
    int nb_entries;
    dir_entry ** entries;
} dir;

int dir_init(filesys * fs, inodesys * is);

dir * dir_create(filesys * fs, inodesys * is);
dir * dir_get(filesys * fs, inodesys * is, int inode);

int dir_add(dir * d, int inode, char * filename);
int dir_remove(dir * d, char * filename);
int dir_delete(dir * d);

void dir_free(dir * d);

#endif /* _DIR_H */
