#ifndef _FILE_H
#define _FILE_H

#include <block.h>

typedef struct {
    off_t faddrblck; // first address block
    size_t size;
} file;

typedef struct {
    block * blocksys;
} filesys;

filesys * file_init(int fd, off_t offset);
void file_destroy(filesys * fs);

file * file_alloc(filesys * fs);
int file_free(filesys * fs, file *);

size_t file_set(filesys * fs, file * f, off_t offset, size_t size,
	const char * data);
size_t file_get(filesys * fs, file * f, off_t offset, size_t size, char * data);

int file_truncate(filesys * fs, file * f, off_t size);

size_t file_size2block(size_t size);

#endif /* _FILE_H */
